/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1992 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 source code is provided to you solely for       */
/*    the purpose of assisting you in your development of OS/2 device        */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Developer Connection Device Driver       */
/*    Source Kit for OS/2. This Copyright statement may not be removed.      */
/*                                                                           */
/*****************************************************************************/
/**************************************************************************
 *
 * SOURCE FILE NAME = ERR.H
 *
 * DESCRIPTION = Public header information for error functions(err.c)
 *
 *
 * DISCLAIMER OF WARRANTIES.  The following [enclosed] code is
 * sample code created by IBM Corporation. This sample code is not
 * part of any standard or IBM product and is provided to you solely
 * for  the purpose of assisting you in the development of your
 * presentation drivers.  The code is provided "AS IS", without
 * warranty of any kind.  IBM shall not be liable for any damages
 * arising out of your use of the sample code, even if they have been
 * advised of the possibility of such damages.
 *
 * VERSION = V1.0
 * DATE    = 02/18/93
 * AUTHOR  = MarkV
 *
 *
 * FUNCTIONS
 *
 *
 *
 *
 * NOTES
 *
 *
 * STRUCTURES
 *
 * EXTERNAL REFERENCES
 *
 * EXTERNAL FUNCTIONS
 *
*/

#ifndef _gpl_err_h
#define _gpl_err_h

/*
** extern interface to error functions
*/
/*
** error routines for calling WinSetErrorInfo()
*/
ERRORID APIENTRY GplErrSetDosError(USHORT);            /* set a dos error */
ERRORID APIENTRY GplErrSetError(USHORT);               /* set a PM error  */
ERRORID APIENTRY GplErrSetSevereError(USHORT);         /* set a PM Severe error */
ERRORID APIENTRY GplErrSetWarning(USHORT);             /* set a PM Warning */
ERRORID APIENTRY GplErrSetUnrecoverableError(USHORT);  /* set a PM Unrecoverable Error */

#endif
