/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1992 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 source code is provided to you solely for       */
/*    the purpose of assisting you in your development of OS/2 device        */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Developer Connection Device Driver       */
/*    Source Kit for OS/2. This Copyright statement may not be removed.      */
/*                                                                           */
/*****************************************************************************/
/**************************************************************************
 *
 * SOURCE FILE NAME = LISTBOX.H
 *
 * DESCRIPTION =
 *
 *
 * DISCLAIMER OF WARRANTIES.  The following [enclosed] code is
 * sample code created by IBM Corporation. This sample code is not
 * part of any standard or IBM product and is provided to you solely
 * for  the purpose of assisting you in the development of your
 * presentation drivers.  The code is provided "AS IS", without
 * warranty of any kind.  IBM shall not be liable for any damages
 * arising out of your use of the sample code, even if they have been
 * advised of the possibility of such damages.
 *
 * VERSION = V1.0
 * DATE    = 9/01/96
 * AUTHOR  = Larry Moore
 *
 * FUNCTIONS
 *
 *
 * NOTES
 *
 *
 * STRUCTURES
 *
 *
 * EXTERNAL REFERENCES
 *
 *
 * EXTERNAL FUNCTIONS
 *
 *
*/

#ifndef _gpl_listbox_h
#define _gpl_listbox_h



#define GLF_ITEMISSTRINGID        1
#define GLF_ITEMISNUMBER          2

#define GLF_SELECTINDEX           1
#define GLF_SELECTHANDLE          2
#define GLF_SELECTSTRING          3





typedef struct _GLBITEM
{
  PSZ    pItem;
  MPARAM mpHandle;
} GLBITEM, *PGLBITEM;





LONG APIENTRY GplCtrlLBInsertItems( HWND, ULONG, PGLBITEM, LONG, USHORT,
                                    HMODULE, ULONG );
LONG APIENTRY GplCtrlLBQuerySelection( HWND, ULONG, MPARAM * );
LONG APIENTRY GplCtrlLBQueryText( HWND, ULONG, PSZ, ULONG, PMPARAM );
LONG APIENTRY GplCtrlLBQueryNumber( HWND, ULONG, PMPARAM );
LONG APIENTRY GplCtrlLBSelectItem( HWND, ULONG, MPARAM, ULONG );



#endif
