/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1992 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 source code is provided to you solely for       */
/*    the purpose of assisting you in your development of OS/2 device        */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Developer Connection Device Driver       */
/*    Source Kit for OS/2. This Copyright statement may not be removed.      */
/*                                                                           */
/*****************************************************************************/
/**************************************************************************
 *
 * SOURCE FILE NAME = UTIL.H
 *
 * DESCRIPTION = Utility functions
 *
 *
 * DISCLAIMER OF WARRANTIES.  The following [enclosed] code is
 * sample code created by IBM Corporation. This sample code is not
 * part of any standard or IBM product and is provided to you solely
 * for  the purpose of assisting you in the development of your
 * presentation drivers.  The code is provided "AS IS", without
 * warranty of any kind.  IBM shall not be liable for any damages
 * arising out of your use of the sample code, even if they have been
 * advised of the possibility of such damages.
 *
 * VERSION = V1.0
 * DATE    = 7/01/97
 * AUTHOR  = Lee Tartak
 *
 * FUNCTIONS
 *
 *
 * NOTES
 *
 *
 * STRUCTURES
 *
 *
 * EXTERNAL REFERENCES
 *
 *
 * EXTERNAL FUNCTIONS
 *
 *
*/

#ifndef _gpl_util_h
#define _gpl_util_h

INT  GplStrcmpi            ( PSZ, PSZ );
PSZ  GplStrupr             ( PSZ );
BOOL GplMayShowPrinterProp ( VOID );
INT GetPrinterOnLogAddr(
  PSZ pszLogAddress,  // Name of interest
  PSZ pszDriverType,  // Printer driver type LASERJET, PSCRIPT, OMNI, ...
  PSZ pszDeviceName,  // Buffer to fill in w/ device name
  PSZ pszDefault,     // Name if no candidate is found
  INT iBufSize     ); // Size of Buffer

// functions defenitions
BOOL APIENTRY GplHitTestHandler( HWND, MPARAM, MPARAM );

#endif
